From: Julian Ospald <hasufell@gentoo.org>
Date: Fri Oct  5 13:55:07 UTC 2012
Subject: build system 

	respect flags and compiler

--- a/source/Makefile
+++ b/source/Makefile
@@ -101,7 +101,7 @@ include Makefile.obj
 #
 
 
-CFOTHERS := -pipe $(EXTERNAL_FLAGS)
+CFOTHERS := $(EXTERNAL_FLAGS)
 CFWARN := -Wall -Wformat-security
 CFWARN_L := -Wundef
 
@@ -747,7 +747,6 @@ ifdef FULLDEBUG
 DEFINES += -DFULLDEBUG
 endif
 ifdef DEBUG
-CFOTHERS := -ggdb $(CFOTHERS)
 DEFINES += -DDEBUG
 endif
 ifndef NOWIZARD
@@ -1513,7 +1512,7 @@ ifdef ANDROID
         # prove that tiles were generated properly
 	grep tile_info rltiles/*.cc| head
 else
-	+$(MAKE) -C $(RLTILES) all ARCH=$(ARCH) TILES=$(TILES)$(WEBTILES)
+	+$(MAKE) -C $(RLTILES) all V=$(V) ARCH=$(ARCH) DEBUG=$(DEBUG) TILES=$(TILES)$(WEBTILES)
 endif
 
 $(TILEDEFSRCS) $(TILEDEFHDRS) $(ORIGTILEFILES): build-rltiles
--- a/source/rltiles/Makefile
+++ b/source/rltiles/Makefile
@@ -1,7 +1,7 @@
 uname_S := $(shell uname -s)
 
 ifneq (,$(findstring MINGW,$(uname_S)))
-LDFLAGS += -lmingw32
+LIBS += -lmingw32
 endif
 
 # Note: since generation of tiles is done on the host, we don't care about
@@ -10,7 +10,7 @@ endif
 # Also, cross-compilation with no system libraries for host rather than target
 # is not supported.  If host=target, contribs are enough.
 
-CFLAGS := -O2 -g -Wall -Wextra -Wno-parentheses -Wno-unused-parameter
+CXXFLAGS := -Wall -Wextra -Wno-parentheses -Wno-unused-parameter
 
 ifdef ANDROID
   CXXFLAGS :=
@@ -35,24 +35,24 @@ ifdef TILES
     PNG_LIB := ../contrib/install/$(ARCH)/lib/libpng.a ../contrib/install/$(ARCH)/lib/libz.a
   endif
 
-  CFLAGS += $(SDL_CFLAGS) $(PNG_INCLUDE)
-  LDFLAGS += $(SDL_LDFLAGS) $(PNG_LIB)
+  CXXFLAGS += $(SDL_CFLAGS) $(PNG_INCLUDE)
+  LIBS += $(SDL_LDFLAGS) $(PNG_LIB)
 
-  CFLAGS += -DUSE_TILE
+  CXXFLAGS += -DUSE_TILE
 endif
 
 ifdef DEBUG
-CFLAGS += -O0 -DDEBUG -ggdb
+CXXFLAGS += -DDEBUG
 endif
 
 ifneq (,$(findstring MINGW,$(uname_S)))
-LDFLAGS += -lgdi32 -lwinmm
+LIBS += -lgdi32 -lwinmm
 endif
 ifeq ($(uname_S),Darwin)
 LDFLAGS += -framework AppKit -framework AudioUnit -framework Carbon -framework IOKit -framework OpenGL
 endif
 ifeq ($(uname_S),Linux)
-LDFLAGS += -ldl -lpthread
+LIBS += -ldl -lpthread
 endif
 
 # Attempt to use a full compiler name, to make
@@ -137,10 +137,10 @@ clean:
 
 distclean: clean
 
-%.o: %.cc .cflags
-	$(QUIET_HOSTCXX)$(HOSTCXX) $(CFLAGS) -MMD -c $< -o $@
+%.o: %.cc
+	$(QUIET_HOSTLINK)$(HOSTCXX) $(CXXFLAGS) -c $< -o $@
 
 $(TILEGEN): $(OBJECTS)
-	$(QUIET_HOSTLINK)$(HOSTCXX) $(OBJECTS) -o $@ $(LDFLAGS)
+	$(QUIET_HOSTLINK)$(HOSTCXX) $(CXXFLAGS) $(OBJECTS) -o $@ $(LDFLAGS) $(LIBS)
 
 .PHONY: all clean distclean
